package com.jorpelu;

import java.io.EOFException;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.util.ArrayList;

public class LeerFichero {
	private ArrayList<Persona> personas;
	
	public LeerFichero(File fich) throws IOException, ClassNotFoundException {
		//FileInputStream filein = new FileInputStream("C:\\Users\\jorge\\OneDrive\\Documentos\\ProyectosSPRING\\Ejercicio_11\\persona2.dat");
		personas = new ArrayList<>();
		FileInputStream filein = new FileInputStream(fich);
		ObjectInputStream dataIS = new ObjectInputStream(filein);
		
		try {
			while(true){
				Persona p1 = (Persona) dataIS.readObject();
				personas.add(p1);
			}
		} catch (EOFException e) {
			System.out.println("Error leyendo el archivo en LeerFichero.java");
			e.printStackTrace();
		}
		dataIS.close();
	}
	public ArrayList<Persona> getPersonas(){
			return personas;
		}
	
}
